Subject: Re: [PATCH] net-sysfs: Report link speed as signed integer

From: Michal Privoznik <[email-masked]>
Date: Tue, 03 Jun 2014 09:07:28 +0200

On 02.06.2014 20:10, David Miller wrote:
> From: Veaceslav Falico <[email-masked]>
> Date: Mon, 2 Jun 2014 17:01:50 +0200
>
>> I wonder, though, if we should document it or just output "Unknown"
>> instead of -1.
>
> All of this discussion means that we can't change the format string
> without potentially breaking something out there interpreting the -1
> value, however it gets output now.

No, the discussion means reporting -1 as link speed is confusing.

>
> I think we just have to leave things as-is and document them in the
> sysfs ABI docs.

Well, that's rather unpleasant.

>
> I'm not applying this patch.
>

Michal